Package com.complexible.stardog.jena

# Class StardogModelAssembler.Vocabulary

java.lang.Object
com.complexible.stardog.jena.StardogModelAssembler.Vocabulary

Enclosing class:
  `StardogModelAssembler`

public static final class StardogModelAssembler.Vocabulary extends Object
Stardog assembler vocabulary.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final Resource`
  `Database`
  Type to identify a Stardog database.
  `static final Property`
  `name`
  Name of the Stardog database.
  `static final Property`
  `password`
  Password to use for connecting to the Stardog database.
  `static final Property`
  `reasoningEnabled`
  Reasoning flag to use for querying the Stardog database.
  `static final String`
  `URI`
  Base URI used in the Stardog assembler descriptions.
  `static final Property`
  `url`
  URL of the Stardog server.
  `static final Property`
  `username`
  Username to use for connecting to the Stardog database.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Vocabulary()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### URI

    public static final String URI
    Base URI used in the Stardog assembler descriptions.
    See Also:
      - Constant Field Values

  - ### Database

    public static final Resource Database
    Type to identify a Stardog database. Connection parameters for the database are attached to this RDF node.

  - ### url

    public static final Property url
    URL of the Stardog server. Example: `http://localhost:5820/`
    See Also:
      - `ConnectionConfiguration.to(String)`

  - ### name

    public static final Property name
    Name of the Stardog database.
    See Also:
      - `ConnectionConfiguration.to(String)`

  - ### username

    public static final Property username
    Username to use for connecting to the Stardog database.
    See Also:
      - `ConnectionConfiguration.credentials(String, String)`

  - ### password

    public static final Property password
    Password to use for connecting to the Stardog database.
    See Also:
      - `ConnectionConfiguration.credentials(String, String)`

  - ### reasoningEnabled

    public static final Property reasoningEnabled
    Reasoning flag to use for querying the Stardog database. This value can be omitted if no reasoning is required.
    See Also:
      - `ConnectionConfiguration.reasoning(boolean)`

- ## Constructor Details

  - ### Vocabulary

    public Vocabulary()